ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-22296) Unable to Enable NameNode HA on branch-3.0-perf
Date Tue, 24 Oct 2017 09:06:00 GMT
Andrew Onischuk created AMBARI-22296:
----------------------------------------

             Summary: Unable to Enable NameNode HA on branch-3.0-perf
                 Key: AMBARI-22296
                 URL: https://issues.apache.org/jira/browse/AMBARI-22296
             Project: Ambari
          Issue Type: Bug
            Reporter: Andrew Onischuk
            Assignee: Andrew Onischuk
             Fix For: 3.0.0


I tried to Rolling update a new 2.5 cluster.  
1\. I found that it requires NameNode HA so i started the Enable NameNode HA
Wizard  
2\. Configure Components page -&gt; Reconfigure HDFS -&gt; HDFS Client Install
failed on all nodes:

    
    
    
    stderr:
    Traceback (most recent call last):
      File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/hdfs_client.py",
line 73, in <module>
        HdfsClient().execute()
      File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 351, in execute
        method(env)
      File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/hdfs_client.py",
line 35, in install
        import params
      File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/params.py",
line 25, in <module>
        from params_linux import *
      File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/params_linux.py",
line 319, in <module>
        elif public_hostname.lower() in nn_host.lower():
      File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/config_dictionary.py",
line 73, in __getattr__
        raise Fail("Configuration parameter '" + self.name + "' was not found in configurations
dictionary!")
    resource_management.core.exceptions.Fail: Configuration parameter 'public_hostname' was
not found in configurations dictionary!
     stdout:
    2017-10-20 11:06:56,480 - Stack Feature Version Info: Cluster Stack=2.5, Command Stack=None,
Command Version=None -> 2.5
    2017-10-20 11:06:56,480 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
    User Group mapping (user_group) is missing in the hostLevelParams
    2017-10-20 11:06:56,481 - Group['hadoop'] {}
    2017-10-20 11:06:56,482 - Group['users'] {}
    2017-10-20 11:06:56,482 - User['zookeeper'] {'gid': 'hadoop', 'fetch_nonlocal_groups':
True, 'groups': ['hadoop'], 'uid': None}
    2017-10-20 11:06:56,483 - User['ambari-qa'] {'gid': 'hadoop', 'fetch_nonlocal_groups':
True, 'groups': ['users'], 'uid': None}
    2017-10-20 11:06:56,483 - User['hdfs'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True,
'groups': ['hadoop'], 'uid': None}
    2017-10-20 11:06:56,484 - File['/var/lib/ambari-agent/tmp/changeUid.sh'] {'content': StaticFile('changeToSecureUid.sh'),
'mode': 0555}
    2017-10-20 11:06:56,485 - Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa
0'] {'not_if': '(test $(id -u ambari-qa) -gt 1000) || (false)'}
    2017-10-20 11:06:56,490 - Skipping Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa
/tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa
0'] due to not_if
    2017-10-20 11:06:56,491 - Group['hdfs'] {}
    2017-10-20 11:06:56,491 - User['hdfs'] {'fetch_nonlocal_groups': True, 'groups': ['hadoop',
'hdfs']}
    2017-10-20 11:06:56,492 - FS Type: 
    2017-10-20 11:06:56,492 - Directory['/etc/hadoop'] {'mode': 0755}
    2017-10-20 11:06:56,508 - File['/usr/hdp/current/hadoop-client/conf/hadoop-env.sh'] {'content':
InlineTemplate(...), 'owner': 'hdfs', 'group': 'hadoop'}
    2017-10-20 11:06:56,509 - Directory['/var/lib/ambari-agent/tmp/hadoop_java_io_tmpdir']
{'owner': 'hdfs', 'group': 'hadoop', 'mode': 01777}
    2017-10-20 11:06:56,524 - Repository['HDP-2.5-repo-1'] {'append_to_file': False, 'base_url':
'http://public-repo-1.hortonworks.com/HDP/centos6/2.x/updates/2.5.3.0', 'action': ['create'],
'components': ['HDP', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list
%}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0',
'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
    2017-10-20 11:06:56,531 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.5-repo-1]\nname=HDP-2.5-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP/centos6/2.x/updates/2.5.3.0\n\npath=/\nenabled=1\ngpgcheck=0'}
    2017-10-20 11:06:56,531 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents
don't match
    2017-10-20 11:06:56,532 - Repository['HDP-UTILS-1.1.0.21-repo-1'] {'append_to_file': True,
'base_url': 'http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.21/repos/centos6', 'action':
['create'], 'components': ['HDP-UTILS', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{%
if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0',
'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
    2017-10-20 11:06:56,535 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.5-repo-1]\nname=HDP-2.5-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP/centos6/2.x/updates/2.5.3.0\n\npath=/\nenabled=1\ngpgcheck=0\n[HDP-UTILS-1.1.0.21-repo-1]\nname=HDP-UTILS-1.1.0.21-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.21/repos/centos6\n\npath=/\nenabled=1\ngpgcheck=0'}
    2017-10-20 11:06:56,536 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents
don't match
    2017-10-20 11:06:56,536 - Package['unzip'] {'retry_on_repo_unavailability': False, 'retry_count':
5}
    2017-10-20 11:06:56,610 - Skipping installation of existing package unzip
    2017-10-20 11:06:56,611 - Package['curl'] {'retry_on_repo_unavailability': False, 'retry_count':
5}
    2017-10-20 11:06:56,617 - Skipping installation of existing package curl
    2017-10-20 11:06:56,617 - Package['hdp-select'] {'retry_on_repo_unavailability': False,
'retry_count': 5}
    2017-10-20 11:06:56,624 - Skipping installation of existing package hdp-select
    2017-10-20 11:06:56,626 - The repository with version 2.5.3.0-37 for this command has
been marked as resolved. It will be used to report the version of the component which was
installed
    2017-10-20 11:06:56,818 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
    2017-10-20 11:06:56,826 - Stack Feature Version Info: Cluster Stack=2.5, Command Stack=None,
Command Version=None -> 2.5
    2017-10-20 11:06:56,828 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
    2017-10-20 11:06:56,829 - The repository with version 2.5.3.0-37 for this command has
been marked as resolved. It will be used to report the version of the component which was
installed
    
    Command failed after 1 tries
    





--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message